package com.unis.base.server.example;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DCxxsjExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DCxxsjExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andDcdbmIsNull() {
            addCriterion("DCDBM is null");
            return (Criteria) this;
        }

        public Criteria andDcdbmIsNotNull() {
            addCriterion("DCDBM is not null");
            return (Criteria) this;
        }

        public Criteria andDcdbmEqualTo(String value) {
            addCriterion("DCDBM =", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmNotEqualTo(String value) {
            addCriterion("DCDBM <>", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmGreaterThan(String value) {
            addCriterion("DCDBM >", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmGreaterThanOrEqualTo(String value) {
            addCriterion("DCDBM >=", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmLessThan(String value) {
            addCriterion("DCDBM <", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmLessThanOrEqualTo(String value) {
            addCriterion("DCDBM <=", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmLike(String value) {
            addCriterion("DCDBM like", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmNotLike(String value) {
            addCriterion("DCDBM not like", value, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmIn(List<String> values) {
            addCriterion("DCDBM in", values, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmNotIn(List<String> values) {
            addCriterion("DCDBM not in", values, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmBetween(String value1, String value2) {
            addCriterion("DCDBM between", value1, value2, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcdbmNotBetween(String value1, String value2) {
            addCriterion("DCDBM not between", value1, value2, "dcdbm");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhIsNull() {
            addCriterion("DCJHWJBH is null");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhIsNotNull() {
            addCriterion("DCJHWJBH is not null");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhEqualTo(String value) {
            addCriterion("DCJHWJBH =", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhNotEqualTo(String value) {
            addCriterion("DCJHWJBH <>", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhGreaterThan(String value) {
            addCriterion("DCJHWJBH >", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhGreaterThanOrEqualTo(String value) {
            addCriterion("DCJHWJBH >=", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhLessThan(String value) {
            addCriterion("DCJHWJBH <", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhLessThanOrEqualTo(String value) {
            addCriterion("DCJHWJBH <=", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhLike(String value) {
            addCriterion("DCJHWJBH like", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhNotLike(String value) {
            addCriterion("DCJHWJBH not like", value, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhIn(List<String> values) {
            addCriterion("DCJHWJBH in", values, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhNotIn(List<String> values) {
            addCriterion("DCJHWJBH not in", values, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhBetween(String value1, String value2) {
            addCriterion("DCJHWJBH between", value1, value2, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andDcjhwjbhNotBetween(String value1, String value2) {
            addCriterion("DCJHWJBH not between", value1, value2, "dcjhwjbh");
            return (Criteria) this;
        }

        public Criteria andTzdbmIsNull() {
            addCriterion("TZDBM is null");
            return (Criteria) this;
        }

        public Criteria andTzdbmIsNotNull() {
            addCriterion("TZDBM is not null");
            return (Criteria) this;
        }

        public Criteria andTzdbmEqualTo(String value) {
            addCriterion("TZDBM =", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmNotEqualTo(String value) {
            addCriterion("TZDBM <>", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmGreaterThan(String value) {
            addCriterion("TZDBM >", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmGreaterThanOrEqualTo(String value) {
            addCriterion("TZDBM >=", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmLessThan(String value) {
            addCriterion("TZDBM <", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmLessThanOrEqualTo(String value) {
            addCriterion("TZDBM <=", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmLike(String value) {
            addCriterion("TZDBM like", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmNotLike(String value) {
            addCriterion("TZDBM not like", value, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmIn(List<String> values) {
            addCriterion("TZDBM in", values, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmNotIn(List<String> values) {
            addCriterion("TZDBM not in", values, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmBetween(String value1, String value2) {
            addCriterion("TZDBM between", value1, value2, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andTzdbmNotBetween(String value1, String value2) {
            addCriterion("TZDBM not between", value1, value2, "tzdbm");
            return (Criteria) this;
        }

        public Criteria andDcdwIsNull() {
            addCriterion("DCDW is null");
            return (Criteria) this;
        }

        public Criteria andDcdwIsNotNull() {
            addCriterion("DCDW is not null");
            return (Criteria) this;
        }

        public Criteria andDcdwEqualTo(String value) {
            addCriterion("DCDW =", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwNotEqualTo(String value) {
            addCriterion("DCDW <>", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwGreaterThan(String value) {
            addCriterion("DCDW >", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwGreaterThanOrEqualTo(String value) {
            addCriterion("DCDW >=", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwLessThan(String value) {
            addCriterion("DCDW <", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwLessThanOrEqualTo(String value) {
            addCriterion("DCDW <=", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwLike(String value) {
            addCriterion("DCDW like", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwNotLike(String value) {
            addCriterion("DCDW not like", value, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwIn(List<String> values) {
            addCriterion("DCDW in", values, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwNotIn(List<String> values) {
            addCriterion("DCDW not in", values, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwBetween(String value1, String value2) {
            addCriterion("DCDW between", value1, value2, "dcdw");
            return (Criteria) this;
        }

        public Criteria andDcdwNotBetween(String value1, String value2) {
            addCriterion("DCDW not between", value1, value2, "dcdw");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNull() {
            addCriterion("PZBM is null");
            return (Criteria) this;
        }

        public Criteria andPzbmIsNotNull() {
            addCriterion("PZBM is not null");
            return (Criteria) this;
        }

        public Criteria andPzbmEqualTo(String value) {
            addCriterion("PZBM =", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotEqualTo(String value) {
            addCriterion("PZBM <>", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThan(String value) {
            addCriterion("PZBM >", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmGreaterThanOrEqualTo(String value) {
            addCriterion("PZBM >=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThan(String value) {
            addCriterion("PZBM <", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLessThanOrEqualTo(String value) {
            addCriterion("PZBM <=", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmLike(String value) {
            addCriterion("PZBM like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotLike(String value) {
            addCriterion("PZBM not like", value, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmIn(List<String> values) {
            addCriterion("PZBM in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotIn(List<String> values) {
            addCriterion("PZBM not in", values, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmBetween(String value1, String value2) {
            addCriterion("PZBM between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andPzbmNotBetween(String value1, String value2) {
            addCriterion("PZBM not between", value1, value2, "pzbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmIsNull() {
            addCriterion("DCHWBM is null");
            return (Criteria) this;
        }

        public Criteria andDchwbmIsNotNull() {
            addCriterion("DCHWBM is not null");
            return (Criteria) this;
        }

        public Criteria andDchwbmEqualTo(String value) {
            addCriterion("DCHWBM =", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmNotEqualTo(String value) {
            addCriterion("DCHWBM <>", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmGreaterThan(String value) {
            addCriterion("DCHWBM >", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmGreaterThanOrEqualTo(String value) {
            addCriterion("DCHWBM >=", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmLessThan(String value) {
            addCriterion("DCHWBM <", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmLessThanOrEqualTo(String value) {
            addCriterion("DCHWBM <=", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmLike(String value) {
            addCriterion("DCHWBM like", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmNotLike(String value) {
            addCriterion("DCHWBM not like", value, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmIn(List<String> values) {
            addCriterion("DCHWBM in", values, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmNotIn(List<String> values) {
            addCriterion("DCHWBM not in", values, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmBetween(String value1, String value2) {
            addCriterion("DCHWBM between", value1, value2, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDchwbmNotBetween(String value1, String value2) {
            addCriterion("DCHWBM not between", value1, value2, "dchwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmIsNull() {
            addCriterion("DRHWBM is null");
            return (Criteria) this;
        }

        public Criteria andDrhwbmIsNotNull() {
            addCriterion("DRHWBM is not null");
            return (Criteria) this;
        }

        public Criteria andDrhwbmEqualTo(String value) {
            addCriterion("DRHWBM =", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmNotEqualTo(String value) {
            addCriterion("DRHWBM <>", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmGreaterThan(String value) {
            addCriterion("DRHWBM >", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmGreaterThanOrEqualTo(String value) {
            addCriterion("DRHWBM >=", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmLessThan(String value) {
            addCriterion("DRHWBM <", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmLessThanOrEqualTo(String value) {
            addCriterion("DRHWBM <=", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmLike(String value) {
            addCriterion("DRHWBM like", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmNotLike(String value) {
            addCriterion("DRHWBM not like", value, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmIn(List<String> values) {
            addCriterion("DRHWBM in", values, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmNotIn(List<String> values) {
            addCriterion("DRHWBM not in", values, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmBetween(String value1, String value2) {
            addCriterion("DRHWBM between", value1, value2, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDrhwbmNotBetween(String value1, String value2) {
            addCriterion("DRHWBM not between", value1, value2, "drhwbm");
            return (Criteria) this;
        }

        public Criteria andDcrqIsNull() {
            addCriterion("DCRQ is null");
            return (Criteria) this;
        }

        public Criteria andDcrqIsNotNull() {
            addCriterion("DCRQ is not null");
            return (Criteria) this;
        }

        public Criteria andDcrqEqualTo(Date value) {
            addCriterion("DCRQ =", value, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqNotEqualTo(Date value) {
            addCriterion("DCRQ <>", value, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqGreaterThan(Date value) {
            addCriterion("DCRQ >", value, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqGreaterThanOrEqualTo(Date value) {
            addCriterion("DCRQ >=", value, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqLessThan(Date value) {
            addCriterion("DCRQ <", value, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqLessThanOrEqualTo(Date value) {
            addCriterion("DCRQ <=", value, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqIn(List<Date> values) {
            addCriterion("DCRQ in", values, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqNotIn(List<Date> values) {
            addCriterion("DCRQ not in", values, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqBetween(Date value1, Date value2) {
            addCriterion("DCRQ between", value1, value2, "dcrq");
            return (Criteria) this;
        }

        public Criteria andDcrqNotBetween(Date value1, Date value2) {
            addCriterion("DCRQ not between", value1, value2, "dcrq");
            return (Criteria) this;
        }

        public Criteria andCyrIsNull() {
            addCriterion("CYR is null");
            return (Criteria) this;
        }

        public Criteria andCyrIsNotNull() {
            addCriterion("CYR is not null");
            return (Criteria) this;
        }

        public Criteria andCyrEqualTo(String value) {
            addCriterion("CYR =", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrNotEqualTo(String value) {
            addCriterion("CYR <>", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrGreaterThan(String value) {
            addCriterion("CYR >", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrGreaterThanOrEqualTo(String value) {
            addCriterion("CYR >=", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrLessThan(String value) {
            addCriterion("CYR <", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrLessThanOrEqualTo(String value) {
            addCriterion("CYR <=", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrLike(String value) {
            addCriterion("CYR like", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrNotLike(String value) {
            addCriterion("CYR not like", value, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrIn(List<String> values) {
            addCriterion("CYR in", values, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrNotIn(List<String> values) {
            addCriterion("CYR not in", values, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrBetween(String value1, String value2) {
            addCriterion("CYR between", value1, value2, "cyr");
            return (Criteria) this;
        }

        public Criteria andCyrNotBetween(String value1, String value2) {
            addCriterion("CYR not between", value1, value2, "cyr");
            return (Criteria) this;
        }

        public Criteria andSfzhIsNull() {
            addCriterion("SFZH is null");
            return (Criteria) this;
        }

        public Criteria andSfzhIsNotNull() {
            addCriterion("SFZH is not null");
            return (Criteria) this;
        }

        public Criteria andSfzhEqualTo(String value) {
            addCriterion("SFZH =", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhNotEqualTo(String value) {
            addCriterion("SFZH <>", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhGreaterThan(String value) {
            addCriterion("SFZH >", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhGreaterThanOrEqualTo(String value) {
            addCriterion("SFZH >=", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhLessThan(String value) {
            addCriterion("SFZH <", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhLessThanOrEqualTo(String value) {
            addCriterion("SFZH <=", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhLike(String value) {
            addCriterion("SFZH like", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhNotLike(String value) {
            addCriterion("SFZH not like", value, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhIn(List<String> values) {
            addCriterion("SFZH in", values, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhNotIn(List<String> values) {
            addCriterion("SFZH not in", values, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhBetween(String value1, String value2) {
            addCriterion("SFZH between", value1, value2, "sfzh");
            return (Criteria) this;
        }

        public Criteria andSfzhNotBetween(String value1, String value2) {
            addCriterion("SFZH not between", value1, value2, "sfzh");
            return (Criteria) this;
        }

        public Criteria andLxdhIsNull() {
            addCriterion("LXDH is null");
            return (Criteria) this;
        }

        public Criteria andLxdhIsNotNull() {
            addCriterion("LXDH is not null");
            return (Criteria) this;
        }

        public Criteria andLxdhEqualTo(String value) {
            addCriterion("LXDH =", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhNotEqualTo(String value) {
            addCriterion("LXDH <>", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhGreaterThan(String value) {
            addCriterion("LXDH >", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhGreaterThanOrEqualTo(String value) {
            addCriterion("LXDH >=", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhLessThan(String value) {
            addCriterion("LXDH <", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhLessThanOrEqualTo(String value) {
            addCriterion("LXDH <=", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhLike(String value) {
            addCriterion("LXDH like", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhNotLike(String value) {
            addCriterion("LXDH not like", value, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhIn(List<String> values) {
            addCriterion("LXDH in", values, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhNotIn(List<String> values) {
            addCriterion("LXDH not in", values, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhBetween(String value1, String value2) {
            addCriterion("LXDH between", value1, value2, "lxdh");
            return (Criteria) this;
        }

        public Criteria andLxdhNotBetween(String value1, String value2) {
            addCriterion("LXDH not between", value1, value2, "lxdh");
            return (Criteria) this;
        }

        public Criteria andYsgjIsNull() {
            addCriterion("YSGJ is null");
            return (Criteria) this;
        }

        public Criteria andYsgjIsNotNull() {
            addCriterion("YSGJ is not null");
            return (Criteria) this;
        }

        public Criteria andYsgjEqualTo(String value) {
            addCriterion("YSGJ =", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjNotEqualTo(String value) {
            addCriterion("YSGJ <>", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjGreaterThan(String value) {
            addCriterion("YSGJ >", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjGreaterThanOrEqualTo(String value) {
            addCriterion("YSGJ >=", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjLessThan(String value) {
            addCriterion("YSGJ <", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjLessThanOrEqualTo(String value) {
            addCriterion("YSGJ <=", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjLike(String value) {
            addCriterion("YSGJ like", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjNotLike(String value) {
            addCriterion("YSGJ not like", value, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjIn(List<String> values) {
            addCriterion("YSGJ in", values, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjNotIn(List<String> values) {
            addCriterion("YSGJ not in", values, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjBetween(String value1, String value2) {
            addCriterion("YSGJ between", value1, value2, "ysgj");
            return (Criteria) this;
        }

        public Criteria andYsgjNotBetween(String value1, String value2) {
            addCriterion("YSGJ not between", value1, value2, "ysgj");
            return (Criteria) this;
        }

        public Criteria andCchIsNull() {
            addCriterion("CCH is null");
            return (Criteria) this;
        }

        public Criteria andCchIsNotNull() {
            addCriterion("CCH is not null");
            return (Criteria) this;
        }

        public Criteria andCchEqualTo(String value) {
            addCriterion("CCH =", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchNotEqualTo(String value) {
            addCriterion("CCH <>", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchGreaterThan(String value) {
            addCriterion("CCH >", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchGreaterThanOrEqualTo(String value) {
            addCriterion("CCH >=", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchLessThan(String value) {
            addCriterion("CCH <", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchLessThanOrEqualTo(String value) {
            addCriterion("CCH <=", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchLike(String value) {
            addCriterion("CCH like", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchNotLike(String value) {
            addCriterion("CCH not like", value, "cch");
            return (Criteria) this;
        }

        public Criteria andCchIn(List<String> values) {
            addCriterion("CCH in", values, "cch");
            return (Criteria) this;
        }

        public Criteria andCchNotIn(List<String> values) {
            addCriterion("CCH not in", values, "cch");
            return (Criteria) this;
        }

        public Criteria andCchBetween(String value1, String value2) {
            addCriterion("CCH between", value1, value2, "cch");
            return (Criteria) this;
        }

        public Criteria andCchNotBetween(String value1, String value2) {
            addCriterion("CCH not between", value1, value2, "cch");
            return (Criteria) this;
        }

        public Criteria andRmdjyIsNull() {
            addCriterion("RMDJY is null");
            return (Criteria) this;
        }

        public Criteria andRmdjyIsNotNull() {
            addCriterion("RMDJY is not null");
            return (Criteria) this;
        }

        public Criteria andRmdjyEqualTo(String value) {
            addCriterion("RMDJY =", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyNotEqualTo(String value) {
            addCriterion("RMDJY <>", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyGreaterThan(String value) {
            addCriterion("RMDJY >", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyGreaterThanOrEqualTo(String value) {
            addCriterion("RMDJY >=", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyLessThan(String value) {
            addCriterion("RMDJY <", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyLessThanOrEqualTo(String value) {
            addCriterion("RMDJY <=", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyLike(String value) {
            addCriterion("RMDJY like", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyNotLike(String value) {
            addCriterion("RMDJY not like", value, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyIn(List<String> values) {
            addCriterion("RMDJY in", values, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyNotIn(List<String> values) {
            addCriterion("RMDJY not in", values, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyBetween(String value1, String value2) {
            addCriterion("RMDJY between", value1, value2, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjyNotBetween(String value1, String value2) {
            addCriterion("RMDJY not between", value1, value2, "rmdjy");
            return (Criteria) this;
        }

        public Criteria andRmdjsjIsNull() {
            addCriterion("RMDJSJ is null");
            return (Criteria) this;
        }

        public Criteria andRmdjsjIsNotNull() {
            addCriterion("RMDJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andRmdjsjEqualTo(Date value) {
            addCriterion("RMDJSJ =", value, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjNotEqualTo(Date value) {
            addCriterion("RMDJSJ <>", value, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjGreaterThan(Date value) {
            addCriterion("RMDJSJ >", value, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("RMDJSJ >=", value, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjLessThan(Date value) {
            addCriterion("RMDJSJ <", value, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjLessThanOrEqualTo(Date value) {
            addCriterion("RMDJSJ <=", value, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjIn(List<Date> values) {
            addCriterion("RMDJSJ in", values, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjNotIn(List<Date> values) {
            addCriterion("RMDJSJ not in", values, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjBetween(Date value1, Date value2) {
            addCriterion("RMDJSJ between", value1, value2, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andRmdjsjNotBetween(Date value1, Date value2) {
            addCriterion("RMDJSJ not between", value1, value2, "rmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjyIsNull() {
            addCriterion("CMDJY is null");
            return (Criteria) this;
        }

        public Criteria andCmdjyIsNotNull() {
            addCriterion("CMDJY is not null");
            return (Criteria) this;
        }

        public Criteria andCmdjyEqualTo(String value) {
            addCriterion("CMDJY =", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyNotEqualTo(String value) {
            addCriterion("CMDJY <>", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyGreaterThan(String value) {
            addCriterion("CMDJY >", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyGreaterThanOrEqualTo(String value) {
            addCriterion("CMDJY >=", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyLessThan(String value) {
            addCriterion("CMDJY <", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyLessThanOrEqualTo(String value) {
            addCriterion("CMDJY <=", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyLike(String value) {
            addCriterion("CMDJY like", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyNotLike(String value) {
            addCriterion("CMDJY not like", value, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyIn(List<String> values) {
            addCriterion("CMDJY in", values, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyNotIn(List<String> values) {
            addCriterion("CMDJY not in", values, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyBetween(String value1, String value2) {
            addCriterion("CMDJY between", value1, value2, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjyNotBetween(String value1, String value2) {
            addCriterion("CMDJY not between", value1, value2, "cmdjy");
            return (Criteria) this;
        }

        public Criteria andCmdjsjIsNull() {
            addCriterion("CMDJSJ is null");
            return (Criteria) this;
        }

        public Criteria andCmdjsjIsNotNull() {
            addCriterion("CMDJSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCmdjsjEqualTo(Date value) {
            addCriterion("CMDJSJ =", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjNotEqualTo(Date value) {
            addCriterion("CMDJSJ <>", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjGreaterThan(Date value) {
            addCriterion("CMDJSJ >", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjGreaterThanOrEqualTo(Date value) {
            addCriterion("CMDJSJ >=", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjLessThan(Date value) {
            addCriterion("CMDJSJ <", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjLessThanOrEqualTo(Date value) {
            addCriterion("CMDJSJ <=", value, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjIn(List<Date> values) {
            addCriterion("CMDJSJ in", values, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjNotIn(List<Date> values) {
            addCriterion("CMDJSJ not in", values, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjBetween(Date value1, Date value2) {
            addCriterion("CMDJSJ between", value1, value2, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andCmdjsjNotBetween(Date value1, Date value2) {
            addCriterion("CMDJSJ not between", value1, value2, "cmdjsj");
            return (Criteria) this;
        }

        public Criteria andMzIsNull() {
            addCriterion("MZ is null");
            return (Criteria) this;
        }

        public Criteria andMzIsNotNull() {
            addCriterion("MZ is not null");
            return (Criteria) this;
        }

        public Criteria andMzEqualTo(Integer value) {
            addCriterion("MZ =", value, "mz");
            return (Criteria) this;
        }

        public Criteria andMzNotEqualTo(Integer value) {
            addCriterion("MZ <>", value, "mz");
            return (Criteria) this;
        }

        public Criteria andMzGreaterThan(Integer value) {
            addCriterion("MZ >", value, "mz");
            return (Criteria) this;
        }

        public Criteria andMzGreaterThanOrEqualTo(Integer value) {
            addCriterion("MZ >=", value, "mz");
            return (Criteria) this;
        }

        public Criteria andMzLessThan(Integer value) {
            addCriterion("MZ <", value, "mz");
            return (Criteria) this;
        }

        public Criteria andMzLessThanOrEqualTo(Integer value) {
            addCriterion("MZ <=", value, "mz");
            return (Criteria) this;
        }

        public Criteria andMzIn(List<Integer> values) {
            addCriterion("MZ in", values, "mz");
            return (Criteria) this;
        }

        public Criteria andMzNotIn(List<Integer> values) {
            addCriterion("MZ not in", values, "mz");
            return (Criteria) this;
        }

        public Criteria andMzBetween(Integer value1, Integer value2) {
            addCriterion("MZ between", value1, value2, "mz");
            return (Criteria) this;
        }

        public Criteria andMzNotBetween(Integer value1, Integer value2) {
            addCriterion("MZ not between", value1, value2, "mz");
            return (Criteria) this;
        }

        public Criteria andPzIsNull() {
            addCriterion("PZ is null");
            return (Criteria) this;
        }

        public Criteria andPzIsNotNull() {
            addCriterion("PZ is not null");
            return (Criteria) this;
        }

        public Criteria andPzEqualTo(Integer value) {
            addCriterion("PZ =", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotEqualTo(Integer value) {
            addCriterion("PZ <>", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzGreaterThan(Integer value) {
            addCriterion("PZ >", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzGreaterThanOrEqualTo(Integer value) {
            addCriterion("PZ >=", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzLessThan(Integer value) {
            addCriterion("PZ <", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzLessThanOrEqualTo(Integer value) {
            addCriterion("PZ <=", value, "pz");
            return (Criteria) this;
        }

        public Criteria andPzIn(List<Integer> values) {
            addCriterion("PZ in", values, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotIn(List<Integer> values) {
            addCriterion("PZ not in", values, "pz");
            return (Criteria) this;
        }

        public Criteria andPzBetween(Integer value1, Integer value2) {
            addCriterion("PZ between", value1, value2, "pz");
            return (Criteria) this;
        }

        public Criteria andPzNotBetween(Integer value1, Integer value2) {
            addCriterion("PZ not between", value1, value2, "pz");
            return (Criteria) this;
        }

        public Criteria andXcklIsNull() {
            addCriterion("XCKL is null");
            return (Criteria) this;
        }

        public Criteria andXcklIsNotNull() {
            addCriterion("XCKL is not null");
            return (Criteria) this;
        }

        public Criteria andXcklEqualTo(Integer value) {
            addCriterion("XCKL =", value, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklNotEqualTo(Integer value) {
            addCriterion("XCKL <>", value, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklGreaterThan(Integer value) {
            addCriterion("XCKL >", value, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklGreaterThanOrEqualTo(Integer value) {
            addCriterion("XCKL >=", value, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklLessThan(Integer value) {
            addCriterion("XCKL <", value, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklLessThanOrEqualTo(Integer value) {
            addCriterion("XCKL <=", value, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklIn(List<Integer> values) {
            addCriterion("XCKL in", values, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklNotIn(List<Integer> values) {
            addCriterion("XCKL not in", values, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklBetween(Integer value1, Integer value2) {
            addCriterion("XCKL between", value1, value2, "xckl");
            return (Criteria) this;
        }

        public Criteria andXcklNotBetween(Integer value1, Integer value2) {
            addCriterion("XCKL not between", value1, value2, "xckl");
            return (Criteria) this;
        }

        public Criteria andSzkzlIsNull() {
            addCriterion("SZKZL is null");
            return (Criteria) this;
        }

        public Criteria andSzkzlIsNotNull() {
            addCriterion("SZKZL is not null");
            return (Criteria) this;
        }

        public Criteria andSzkzlEqualTo(Integer value) {
            addCriterion("SZKZL =", value, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlNotEqualTo(Integer value) {
            addCriterion("SZKZL <>", value, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlGreaterThan(Integer value) {
            addCriterion("SZKZL >", value, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlGreaterThanOrEqualTo(Integer value) {
            addCriterion("SZKZL >=", value, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlLessThan(Integer value) {
            addCriterion("SZKZL <", value, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlLessThanOrEqualTo(Integer value) {
            addCriterion("SZKZL <=", value, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlIn(List<Integer> values) {
            addCriterion("SZKZL in", values, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlNotIn(List<Integer> values) {
            addCriterion("SZKZL not in", values, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlBetween(Integer value1, Integer value2) {
            addCriterion("SZKZL between", value1, value2, "szkzl");
            return (Criteria) this;
        }

        public Criteria andSzkzlNotBetween(Integer value1, Integer value2) {
            addCriterion("SZKZL not between", value1, value2, "szkzl");
            return (Criteria) this;
        }

        public Criteria andQtklIsNull() {
            addCriterion("QTKL is null");
            return (Criteria) this;
        }

        public Criteria andQtklIsNotNull() {
            addCriterion("QTKL is not null");
            return (Criteria) this;
        }

        public Criteria andQtklEqualTo(Integer value) {
            addCriterion("QTKL =", value, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklNotEqualTo(Integer value) {
            addCriterion("QTKL <>", value, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklGreaterThan(Integer value) {
            addCriterion("QTKL >", value, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklGreaterThanOrEqualTo(Integer value) {
            addCriterion("QTKL >=", value, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklLessThan(Integer value) {
            addCriterion("QTKL <", value, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklLessThanOrEqualTo(Integer value) {
            addCriterion("QTKL <=", value, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklIn(List<Integer> values) {
            addCriterion("QTKL in", values, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklNotIn(List<Integer> values) {
            addCriterion("QTKL not in", values, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklBetween(Integer value1, Integer value2) {
            addCriterion("QTKL between", value1, value2, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklNotBetween(Integer value1, Integer value2) {
            addCriterion("QTKL not between", value1, value2, "qtkl");
            return (Criteria) this;
        }

        public Criteria andQtklsmIsNull() {
            addCriterion("QTKLSM is null");
            return (Criteria) this;
        }

        public Criteria andQtklsmIsNotNull() {
            addCriterion("QTKLSM is not null");
            return (Criteria) this;
        }

        public Criteria andQtklsmEqualTo(String value) {
            addCriterion("QTKLSM =", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmNotEqualTo(String value) {
            addCriterion("QTKLSM <>", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmGreaterThan(String value) {
            addCriterion("QTKLSM >", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmGreaterThanOrEqualTo(String value) {
            addCriterion("QTKLSM >=", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmLessThan(String value) {
            addCriterion("QTKLSM <", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmLessThanOrEqualTo(String value) {
            addCriterion("QTKLSM <=", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmLike(String value) {
            addCriterion("QTKLSM like", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmNotLike(String value) {
            addCriterion("QTKLSM not like", value, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmIn(List<String> values) {
            addCriterion("QTKLSM in", values, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmNotIn(List<String> values) {
            addCriterion("QTKLSM not in", values, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmBetween(String value1, String value2) {
            addCriterion("QTKLSM between", value1, value2, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andQtklsmNotBetween(String value1, String value2) {
            addCriterion("QTKLSM not between", value1, value2, "qtklsm");
            return (Criteria) this;
        }

        public Criteria andMzjjyIsNull() {
            addCriterion("MZJJY is null");
            return (Criteria) this;
        }

        public Criteria andMzjjyIsNotNull() {
            addCriterion("MZJJY is not null");
            return (Criteria) this;
        }

        public Criteria andMzjjyEqualTo(String value) {
            addCriterion("MZJJY =", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyNotEqualTo(String value) {
            addCriterion("MZJJY <>", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyGreaterThan(String value) {
            addCriterion("MZJJY >", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyGreaterThanOrEqualTo(String value) {
            addCriterion("MZJJY >=", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyLessThan(String value) {
            addCriterion("MZJJY <", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyLessThanOrEqualTo(String value) {
            addCriterion("MZJJY <=", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyLike(String value) {
            addCriterion("MZJJY like", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyNotLike(String value) {
            addCriterion("MZJJY not like", value, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyIn(List<String> values) {
            addCriterion("MZJJY in", values, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyNotIn(List<String> values) {
            addCriterion("MZJJY not in", values, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyBetween(String value1, String value2) {
            addCriterion("MZJJY between", value1, value2, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjjyNotBetween(String value1, String value2) {
            addCriterion("MZJJY not between", value1, value2, "mzjjy");
            return (Criteria) this;
        }

        public Criteria andMzjbyIsNull() {
            addCriterion("MZJBY is null");
            return (Criteria) this;
        }

        public Criteria andMzjbyIsNotNull() {
            addCriterion("MZJBY is not null");
            return (Criteria) this;
        }

        public Criteria andMzjbyEqualTo(String value) {
            addCriterion("MZJBY =", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyNotEqualTo(String value) {
            addCriterion("MZJBY <>", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyGreaterThan(String value) {
            addCriterion("MZJBY >", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyGreaterThanOrEqualTo(String value) {
            addCriterion("MZJBY >=", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyLessThan(String value) {
            addCriterion("MZJBY <", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyLessThanOrEqualTo(String value) {
            addCriterion("MZJBY <=", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyLike(String value) {
            addCriterion("MZJBY like", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyNotLike(String value) {
            addCriterion("MZJBY not like", value, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyIn(List<String> values) {
            addCriterion("MZJBY in", values, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyNotIn(List<String> values) {
            addCriterion("MZJBY not in", values, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyBetween(String value1, String value2) {
            addCriterion("MZJBY between", value1, value2, "mzjby");
            return (Criteria) this;
        }

        public Criteria andMzjbyNotBetween(String value1, String value2) {
            addCriterion("MZJBY not between", value1, value2, "mzjby");
            return (Criteria) this;
        }

        public Criteria andCmsjIsNull() {
            addCriterion("CMSJ is null");
            return (Criteria) this;
        }

        public Criteria andCmsjIsNotNull() {
            addCriterion("CMSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCmsjEqualTo(String value) {
            addCriterion("CMSJ =", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjNotEqualTo(String value) {
            addCriterion("CMSJ <>", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjGreaterThan(String value) {
            addCriterion("CMSJ >", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjGreaterThanOrEqualTo(String value) {
            addCriterion("CMSJ >=", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjLessThan(String value) {
            addCriterion("CMSJ <", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjLessThanOrEqualTo(String value) {
            addCriterion("CMSJ <=", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjLike(String value) {
            addCriterion("CMSJ like", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjNotLike(String value) {
            addCriterion("CMSJ not like", value, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjIn(List<String> values) {
            addCriterion("CMSJ in", values, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjNotIn(List<String> values) {
            addCriterion("CMSJ not in", values, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjBetween(String value1, String value2) {
            addCriterion("CMSJ between", value1, value2, "cmsj");
            return (Criteria) this;
        }

        public Criteria andCmsjNotBetween(String value1, String value2) {
            addCriterion("CMSJ not between", value1, value2, "cmsj");
            return (Criteria) this;
        }

        public Criteria andPzjjyIsNull() {
            addCriterion("PZJJY is null");
            return (Criteria) this;
        }

        public Criteria andPzjjyIsNotNull() {
            addCriterion("PZJJY is not null");
            return (Criteria) this;
        }

        public Criteria andPzjjyEqualTo(String value) {
            addCriterion("PZJJY =", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyNotEqualTo(String value) {
            addCriterion("PZJJY <>", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyGreaterThan(String value) {
            addCriterion("PZJJY >", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyGreaterThanOrEqualTo(String value) {
            addCriterion("PZJJY >=", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyLessThan(String value) {
            addCriterion("PZJJY <", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyLessThanOrEqualTo(String value) {
            addCriterion("PZJJY <=", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyLike(String value) {
            addCriterion("PZJJY like", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyNotLike(String value) {
            addCriterion("PZJJY not like", value, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyIn(List<String> values) {
            addCriterion("PZJJY in", values, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyNotIn(List<String> values) {
            addCriterion("PZJJY not in", values, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyBetween(String value1, String value2) {
            addCriterion("PZJJY between", value1, value2, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjjyNotBetween(String value1, String value2) {
            addCriterion("PZJJY not between", value1, value2, "pzjjy");
            return (Criteria) this;
        }

        public Criteria andPzjbyIsNull() {
            addCriterion("PZJBY is null");
            return (Criteria) this;
        }

        public Criteria andPzjbyIsNotNull() {
            addCriterion("PZJBY is not null");
            return (Criteria) this;
        }

        public Criteria andPzjbyEqualTo(String value) {
            addCriterion("PZJBY =", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyNotEqualTo(String value) {
            addCriterion("PZJBY <>", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyGreaterThan(String value) {
            addCriterion("PZJBY >", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyGreaterThanOrEqualTo(String value) {
            addCriterion("PZJBY >=", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyLessThan(String value) {
            addCriterion("PZJBY <", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyLessThanOrEqualTo(String value) {
            addCriterion("PZJBY <=", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyLike(String value) {
            addCriterion("PZJBY like", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyNotLike(String value) {
            addCriterion("PZJBY not like", value, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyIn(List<String> values) {
            addCriterion("PZJBY in", values, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyNotIn(List<String> values) {
            addCriterion("PZJBY not in", values, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyBetween(String value1, String value2) {
            addCriterion("PZJBY between", value1, value2, "pzjby");
            return (Criteria) this;
        }

        public Criteria andPzjbyNotBetween(String value1, String value2) {
            addCriterion("PZJBY not between", value1, value2, "pzjby");
            return (Criteria) this;
        }

        public Criteria andCpsjIsNull() {
            addCriterion("CPSJ is null");
            return (Criteria) this;
        }

        public Criteria andCpsjIsNotNull() {
            addCriterion("CPSJ is not null");
            return (Criteria) this;
        }

        public Criteria andCpsjEqualTo(Date value) {
            addCriterion("CPSJ =", value, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjNotEqualTo(Date value) {
            addCriterion("CPSJ <>", value, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjGreaterThan(Date value) {
            addCriterion("CPSJ >", value, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjGreaterThanOrEqualTo(Date value) {
            addCriterion("CPSJ >=", value, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjLessThan(Date value) {
            addCriterion("CPSJ <", value, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjLessThanOrEqualTo(Date value) {
            addCriterion("CPSJ <=", value, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjIn(List<Date> values) {
            addCriterion("CPSJ in", values, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjNotIn(List<Date> values) {
            addCriterion("CPSJ not in", values, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjBetween(Date value1, Date value2) {
            addCriterion("CPSJ between", value1, value2, "cpsj");
            return (Criteria) this;
        }

        public Criteria andCpsjNotBetween(Date value1, Date value2) {
            addCriterion("CPSJ not between", value1, value2, "cpsj");
            return (Criteria) this;
        }

        public Criteria andBzIsNull() {
            addCriterion("BZ is null");
            return (Criteria) this;
        }

        public Criteria andBzIsNotNull() {
            addCriterion("BZ is not null");
            return (Criteria) this;
        }

        public Criteria andBzEqualTo(String value) {
            addCriterion("BZ =", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotEqualTo(String value) {
            addCriterion("BZ <>", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzGreaterThan(String value) {
            addCriterion("BZ >", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzGreaterThanOrEqualTo(String value) {
            addCriterion("BZ >=", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLessThan(String value) {
            addCriterion("BZ <", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLessThanOrEqualTo(String value) {
            addCriterion("BZ <=", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzLike(String value) {
            addCriterion("BZ like", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotLike(String value) {
            addCriterion("BZ not like", value, "bz");
            return (Criteria) this;
        }

        public Criteria andBzIn(List<String> values) {
            addCriterion("BZ in", values, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotIn(List<String> values) {
            addCriterion("BZ not in", values, "bz");
            return (Criteria) this;
        }

        public Criteria andBzBetween(String value1, String value2) {
            addCriterion("BZ between", value1, value2, "bz");
            return (Criteria) this;
        }

        public Criteria andBzNotBetween(String value1, String value2) {
            addCriterion("BZ not between", value1, value2, "bz");
            return (Criteria) this;
        }

        public Criteria andCzbzIsNull() {
            addCriterion("CZBZ is null");
            return (Criteria) this;
        }

        public Criteria andCzbzIsNotNull() {
            addCriterion("CZBZ is not null");
            return (Criteria) this;
        }

        public Criteria andCzbzEqualTo(String value) {
            addCriterion("CZBZ =", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotEqualTo(String value) {
            addCriterion("CZBZ <>", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzGreaterThan(String value) {
            addCriterion("CZBZ >", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzGreaterThanOrEqualTo(String value) {
            addCriterion("CZBZ >=", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzLessThan(String value) {
            addCriterion("CZBZ <", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzLessThanOrEqualTo(String value) {
            addCriterion("CZBZ <=", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzLike(String value) {
            addCriterion("CZBZ like", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotLike(String value) {
            addCriterion("CZBZ not like", value, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzIn(List<String> values) {
            addCriterion("CZBZ in", values, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotIn(List<String> values) {
            addCriterion("CZBZ not in", values, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzBetween(String value1, String value2) {
            addCriterion("CZBZ between", value1, value2, "czbz");
            return (Criteria) this;
        }

        public Criteria andCzbzNotBetween(String value1, String value2) {
            addCriterion("CZBZ not between", value1, value2, "czbz");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNull() {
            addCriterion("CREATOR is null");
            return (Criteria) this;
        }

        public Criteria andCreatorIsNotNull() {
            addCriterion("CREATOR is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorEqualTo(String value) {
            addCriterion("CREATOR =", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotEqualTo(String value) {
            addCriterion("CREATOR <>", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThan(String value) {
            addCriterion("CREATOR >", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR >=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThan(String value) {
            addCriterion("CREATOR <", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLessThanOrEqualTo(String value) {
            addCriterion("CREATOR <=", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorLike(String value) {
            addCriterion("CREATOR like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotLike(String value) {
            addCriterion("CREATOR not like", value, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorIn(List<String> values) {
            addCriterion("CREATOR in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotIn(List<String> values) {
            addCriterion("CREATOR not in", values, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorBetween(String value1, String value2) {
            addCriterion("CREATOR between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorNotBetween(String value1, String value2) {
            addCriterion("CREATOR not between", value1, value2, "creator");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNull() {
            addCriterion("CREATOR_CODE is null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIsNotNull() {
            addCriterion("CREATOR_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeEqualTo(String value) {
            addCriterion("CREATOR_CODE =", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotEqualTo(String value) {
            addCriterion("CREATOR_CODE <>", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThan(String value) {
            addCriterion("CREATOR_CODE >", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeGreaterThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE >=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThan(String value) {
            addCriterion("CREATOR_CODE <", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLessThanOrEqualTo(String value) {
            addCriterion("CREATOR_CODE <=", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeLike(String value) {
            addCriterion("CREATOR_CODE like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotLike(String value) {
            addCriterion("CREATOR_CODE not like", value, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeIn(List<String> values) {
            addCriterion("CREATOR_CODE in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotIn(List<String> values) {
            addCriterion("CREATOR_CODE not in", values, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreatorCodeNotBetween(String value1, String value2) {
            addCriterion("CREATOR_CODE not between", value1, value2, "creatorCode");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNull() {
            addCriterion("CREATE_DATE is null");
            return (Criteria) this;
        }

        public Criteria andCreateDateIsNotNull() {
            addCriterion("CREATE_DATE is not null");
            return (Criteria) this;
        }

        public Criteria andCreateDateEqualTo(Date value) {
            addCriterion("CREATE_DATE =", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotEqualTo(Date value) {
            addCriterion("CREATE_DATE <>", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThan(Date value) {
            addCriterion("CREATE_DATE >", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE >=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThan(Date value) {
            addCriterion("CREATE_DATE <", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_DATE <=", value, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateIn(List<Date> values) {
            addCriterion("CREATE_DATE in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotIn(List<Date> values) {
            addCriterion("CREATE_DATE not in", values, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andCreateDateNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_DATE not between", value1, value2, "createDate");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNull() {
            addCriterion("REFRESHER is null");
            return (Criteria) this;
        }

        public Criteria andRefresherIsNotNull() {
            addCriterion("REFRESHER is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherEqualTo(String value) {
            addCriterion("REFRESHER =", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotEqualTo(String value) {
            addCriterion("REFRESHER <>", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThan(String value) {
            addCriterion("REFRESHER >", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER >=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThan(String value) {
            addCriterion("REFRESHER <", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER <=", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherLike(String value) {
            addCriterion("REFRESHER like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotLike(String value) {
            addCriterion("REFRESHER not like", value, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherIn(List<String> values) {
            addCriterion("REFRESHER in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotIn(List<String> values) {
            addCriterion("REFRESHER not in", values, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherBetween(String value1, String value2) {
            addCriterion("REFRESHER between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherNotBetween(String value1, String value2) {
            addCriterion("REFRESHER not between", value1, value2, "refresher");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNull() {
            addCriterion("REFRESHER_CODE is null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIsNotNull() {
            addCriterion("REFRESHER_CODE is not null");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeEqualTo(String value) {
            addCriterion("REFRESHER_CODE =", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotEqualTo(String value) {
            addCriterion("REFRESHER_CODE <>", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThan(String value) {
            addCriterion("REFRESHER_CODE >", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeGreaterThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE >=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThan(String value) {
            addCriterion("REFRESHER_CODE <", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLessThanOrEqualTo(String value) {
            addCriterion("REFRESHER_CODE <=", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeLike(String value) {
            addCriterion("REFRESHER_CODE like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotLike(String value) {
            addCriterion("REFRESHER_CODE not like", value, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeIn(List<String> values) {
            addCriterion("REFRESHER_CODE in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotIn(List<String> values) {
            addCriterion("REFRESHER_CODE not in", values, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefresherCodeNotBetween(String value1, String value2) {
            addCriterion("REFRESHER_CODE not between", value1, value2, "refresherCode");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNull() {
            addCriterion("REFRESH_TIME is null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIsNotNull() {
            addCriterion("REFRESH_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeEqualTo(Date value) {
            addCriterion("REFRESH_TIME =", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotEqualTo(Date value) {
            addCriterion("REFRESH_TIME <>", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThan(Date value) {
            addCriterion("REFRESH_TIME >", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME >=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThan(Date value) {
            addCriterion("REFRESH_TIME <", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeLessThanOrEqualTo(Date value) {
            addCriterion("REFRESH_TIME <=", value, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeIn(List<Date> values) {
            addCriterion("REFRESH_TIME in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotIn(List<Date> values) {
            addCriterion("REFRESH_TIME not in", values, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRefreshTimeNotBetween(Date value1, Date value2) {
            addCriterion("REFRESH_TIME not between", value1, value2, "refreshTime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("REMARK is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("REMARK is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("REMARK =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("REMARK <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("REMARK >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("REMARK >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("REMARK <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("REMARK <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("REMARK like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("REMARK not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("REMARK in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("REMARK not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("REMARK between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("REMARK not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andOrgidIsNull() {
            addCriterion("ORGID is null");
            return (Criteria) this;
        }

        public Criteria andOrgidIsNotNull() {
            addCriterion("ORGID is not null");
            return (Criteria) this;
        }

        public Criteria andOrgidEqualTo(String value) {
            addCriterion("ORGID =", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotEqualTo(String value) {
            addCriterion("ORGID <>", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidGreaterThan(String value) {
            addCriterion("ORGID >", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidGreaterThanOrEqualTo(String value) {
            addCriterion("ORGID >=", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidLessThan(String value) {
            addCriterion("ORGID <", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidLessThanOrEqualTo(String value) {
            addCriterion("ORGID <=", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidLike(String value) {
            addCriterion("ORGID like", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotLike(String value) {
            addCriterion("ORGID not like", value, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidIn(List<String> values) {
            addCriterion("ORGID in", values, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotIn(List<String> values) {
            addCriterion("ORGID not in", values, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidBetween(String value1, String value2) {
            addCriterion("ORGID between", value1, value2, "orgid");
            return (Criteria) this;
        }

        public Criteria andOrgidNotBetween(String value1, String value2) {
            addCriterion("ORGID not between", value1, value2, "orgid");
            return (Criteria) this;
        }

        public Criteria andStatusIsNull() {
            addCriterion("STATUS is null");
            return (Criteria) this;
        }

        public Criteria andStatusIsNotNull() {
            addCriterion("STATUS is not null");
            return (Criteria) this;
        }

        public Criteria andStatusEqualTo(Short value) {
            addCriterion("STATUS =", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotEqualTo(Short value) {
            addCriterion("STATUS <>", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThan(Short value) {
            addCriterion("STATUS >", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusGreaterThanOrEqualTo(Short value) {
            addCriterion("STATUS >=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThan(Short value) {
            addCriterion("STATUS <", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusLessThanOrEqualTo(Short value) {
            addCriterion("STATUS <=", value, "status");
            return (Criteria) this;
        }

        public Criteria andStatusIn(List<Short> values) {
            addCriterion("STATUS in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotIn(List<Short> values) {
            addCriterion("STATUS not in", values, "status");
            return (Criteria) this;
        }

        public Criteria andStatusBetween(Short value1, Short value2) {
            addCriterion("STATUS between", value1, value2, "status");
            return (Criteria) this;
        }

        public Criteria andStatusNotBetween(Short value1, Short value2) {
            addCriterion("STATUS not between", value1, value2, "status");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}